from mower.solvers.shop import CreditShop
from mower.utils.log import logger

from .daily import DailySolver
from .get_clue_count import GetClueCountSolver
from .give_away import GiveAwaySolver
from .party_time import PartyTimeSolver
from .place import PlaceSolver
from .receive import ReceiveSolver


class ClueSolver:
    def run(self) -> None:
        logger.info("基建：线索")
        DailySolver().run()
        ReceiveSolver().run()
        PlaceSolver().run()
        clue_count = GetClueCountSolver().run()
        GiveAwaySolver().run(clue_count)
        party_time = PartyTimeSolver().run()
        CreditShop().run()
        return party_time
